Bug 106334

Summary: Freeze of system at random moments (using Wayland)
Product: xorg Reporter: Joost van der Sluis <joost>
Component: Driver/nouveauAssignee: Nouveau Project <nouveau>
Status: RESOLVED MOVED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
dmesg-output none

Description Joost van der Sluis 2018-05-01 12:40:38 UTC
Created attachment 139246 [details]
dmesg-output

About once a day the GUI freezes. Mouse is still moving but further nothing. Logging in through ssh succeeds, though. (Restarting GDM leads to some flickering, and then an even more frozen system)

Dmesg-log is attached, it's a Fedora system using Wayland, but it also occurs on Xorg.

Nouveau version:
xorg-x11-drv-nouveau-1.0.15-3.fc27.x86_64
Comment 1 Ilia Mirkin 2018-05-01 12:49:36 UTC
BUG in nouveau_mem_host. I think we've seen that before. Not sure at what point (and whether) it was fully fixed.
Comment 2 Ilia Mirkin 2018-05-09 12:18:17 UTC
Should fix the nouveau_mem_host issue:

https://github.com/skeggsb/nouveau/commit/bdc36dcf3fe469e6bb2a1366452dcb16b84e8bcf
Comment 3 ZĂ©fling 2018-05-13 01:25:28 UTC
I'm the same problem Nouveau or nVidia divers. Currently, I use Nouveau because the freezes are less frequent.

I'm on Kubuntu 18.04 (install by Live CD).
Comment 4 Martin Peres 2019-12-04 09:39:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-nouveau/issues/429.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.